package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.Ers;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Basic Functions for Business Transactions
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Ersmod extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Ersmod.class);

    private Ersmap ersmap;

    private  String imgnum;

    private Ers wrkers;

    @Override
    public void reset() {
        super.reset();
        if (ersmap == null) {
            ersmap = new Ersmap();
        }
        ersmap.reset();
        if (wrkers == null) {
            wrkers = new Ers();
        }
    }
}